#![cfg_attr(feature="nightly", feature(test))] 
#![cfg_attr(feature="nightly", feature(never_type))] 

#![allow(dead_code)]

#[cfg(all(feature="nightly", test))] extern crate test; 
#[macro_use] extern crate serde;
#[macro_use] extern crate lazy_static;
#[macro_use] extern crate log;
#[macro_use] extern crate mopa;
#[macro_use] extern crate cfg_if;

#[allow(unused_imports)]
use std::convert::{TryFrom, TryInto};
#[allow(unused_imports)]
use color_eyre::{
    eyre::{
	WrapErr as _,
	self,
	eyre,
    },
    SectionExt, Help
};

#[macro_use] mod ext; use ext::*;

mod bytes;

mod delta;
mod state;
mod service;

fn install() -> eyre::Result<()>
{
    color_eyre::install()?;
    pretty_env_logger::init();

    Ok(())
}

#[tokio::main]
async fn main() -> eyre::Result<()> {
    install()?;
    println!("Hello, world!");

    Ok(())
}
