//! Global state service
use super::*;
use tokio::{
    sync::{
	watch,
	mpsc,
	oneshot,
	broadcast,
    },
    task::JoinHandle,
};
use crate::service::{
    ExitStatus,
};
use std::{error, fmt};
use std::sync::Weak;
use std::any::Any;
use std::collections::{BTreeMap};


id_type!(ServiceSubID; "Optional ID for filtering directed broadcast messages");
id_type!(BroadcastID; "Each broadcast message has a unique ID.");

mod supervisor; pub use supervisor::*;
mod resreq; pub use resreq::*;
mod obj; pub use obj::*;

mod events; pub use events::*;
